Package pygccxml :: Package declarations :: Module container_traits :: Class defaults_eraser

# ClassType defaults_eraser

source code

Nested Classes
recursive_impl

Static Methods

normalize(type_str) | source code

replace_basic_string(cls_name) | source code

erase_recursive(cls_name) | source code

erase_allocator(cls_name, default_allocator=`'``std::allocator``'`) | source code

erase_container(cls_name, default_container_name=`'``std::deque``'`) | source code

erase_container_compare(cls_name, default_container_name=`'``std::vector``'`, default_compare=`'``std::less``'`) | source code

erase_compare_allocator(cls_name, default_compare=`'``std::less``'`, default_allocator=`'``std::allocator``'`) | source code

erase_map_compare_allocator(cls_name, default_compare=`'``std::less``'`, default_allocator=`'``std::allocator``'`) | source code

erase_hash_allocator(cls_name) | source code

erase_hashmap_compare_allocator(cls_name) | source code